/********************************************************************************************
* BlueShoes Framework; This file is part of the php application framework.
* NOTE: This code is stripped (obfuscated). To get the clean documented code goto 
*       www.blueshoes.org and register for the free open source *DEVELOPER* version or 
*       buy the commercial version.
* 
* @copyright see www.blueshoes.org
* @author    Samuel Blume <sam at blueshoes dot org>
* @author    Andrej Arn <andrej at blueshoes dot org>
*/function bs_isNull(theVar) {if (typeof(theVar) == 'undefined') return true;if (theVar == null) return true;return false;}
function bs_isObject(theVar) {ret = false;if (typeof(theVar) == 'object') {ret = !bs_isNull(theVar);}
return ret;}
function bs_typeOf(theVar) {ret = 'undefined';switch (typeof(theVar)) {case 'boolean':  ret = 'boolean';  break;case 'number':   ret = 'number';   break;case 'string':   ret = 'string';   break;case 'function': ret = 'function'; break;case 'object':
if (bs_isNull(theVar)) {ret = 'null';break;}
if (theVar.concat && theVar.join && theVar.sort && theVar.pop) {ret = 'array';break;}
break;case 'undefined':
default:   
ret = 'undefined';}
return ret;}
function bs_arrayMerge(obj1, obj2) {if (!bs_isObject(obj1) || !bs_isObject(obj2)) return false;for (var key in obj2) {obj1[key] = obj2[key];}
return obj1;}
function bs_arrayFlip(aArray) {var aHash = new Object();type = bs_typeOf(aArray);if (type == 'array') {for (var i=0; i<aArray.length; i++) {aHash[aArray[i]] = true;}
} else if (type == 'string') {if (aArray != '') {aHash[aArray] = true;}
}
return aHash;}
function dump(theVar, doReturn, showFunctions, _out, _indent, _numCall) {if (!_indent) {_indent  = '';_bsDumpOverallNumCall = 1;} else {_bsDumpOverallNumCall++;}
if (_bsDumpOverallNumCall < 8) {if (_out) {var isInternal = true;} else {_out = '';_numCall = 1;}
var goOn = true;if (_numCall > 10) {goOn = false;if (!doReturn) {goOn = confirm("There have been 10 recursive calls so far. Maybe you have an endless loop. Do you want to continue?");}
if (!goOn) {_out += _indent + "error/warning: nesting levels too deep (>10 times)!\n";} else {_numCall = 0;}
}
if (goOn) {switch (typeof(theVar)) {case 'object':
for (var key in theVar) {switch (typeof(theVar[key])) {case 'function':
if (showFunctions) {_out += _indent + 'function "' + key + '" => ' + theVar[key] + "\n";} else {_out += _indent + 'function "' + key + "\n";}
break;case 'undefined':
break;case 'object':
_out += _indent + 'object "' + key + '" => ' + "\n";_out = dump(theVar[key], doReturn, showFunctions, _out, _indent + "    ", _numCall+1);break;default:
_out += _indent + typeof(theVar[key]) + ' "' + key + '" => ' + theVar[key] + "\n";}
}
break;default:
_out += _indent + typeof(theVar) + ' => ' + theVar + "\n";}
}
}
if (isInternal || doReturn) {return _out;} else {alert(_out);return;}
}
