/********************************************************************************************
* BlueShoes Framework; This file is part of the php application framework.
* NOTE: This code is stripped (obfuscated). To get the clean documented code goto 
*       www.blueshoes.org and register for the free open source *DEVELOPER* version or 
*       buy the commercial version.
* 
* @copyright see www.blueshoes.org
* @author    Samuel Blume <sam at blueshoes dot org>
* @author    Andrej Arn <andrej at blueshoes dot org>
*/function Bs_Dropdown() {this.objectName;this.isOutRendered = false;this._value = '';this._options = new Array();this.autoAdd = true;this.selectOrder = 1;this.disabled = false;this.guiNochange;this.inputName;this.imgDir = '/_bsJavascript/components/dropdown/img/win2k/';this.classInput;this.classSelect;this._elementId;this._fromTextObj;this._frmSelectObj;this._attachedEvents;this.constructor = function() {}
this.getValue = function() {return this._value;}
this.setValue = function(value) {this._value = value;this.addOption(value);if (this.isOutRendered) {this._getTextObj().value  = value;this._getSelectObj().setTo(value);}
}
this.addOption = function(str) {if (this._options.indexOf(str) >= 0) {return false;} else {this._options[this._options.length] = str;if (this.isOutRendered) {var newOpt = new Option(str, str);this._getSelectObj().options[this._getSelectObj().length] = newOpt;}
}
return true;}
this.activeTimer = function() {if (typeof(document.activeElement.id) == 'string') {if (
(document.activeElement.id == (this.objectName + '_select'))
|| 
(document.activeElement.id == (this.objectName + '_input'))
) {return;}
}
this.toInput();}
this.toSelect = function() {this._getTextObj().style.display  = 'none';document.getElementById(this.objectName + '_arrow').style.display  = 'none';this._getSelectObj().style.display = '';}
this.toInput = function() {this._getSelectObj().style.display = 'none';document.getElementById(this.objectName + '_arrow').style.display  = '';this._getTextObj().value          = this._getSelectObj().getValue();if (this._getTextObj().value == 'undefined') this._getTextObj().value = '';this._getTextObj().style.display  = '';if (this._value != this._getTextObj().value)  {this._value = this._getTextObj().value;if (this.hasEventAttached('onChange')) this.fireEvent('onChange');}
}
this.autoAdd = function() {var txtVal = this._getTextObj().value;if (this._value != txtVal) {this.setValue(txtVal);}
}
this.render = function(elementId) {if (elementId) {this._elementId = elementId;}
var out  = new Array();var outI = 0;out[outI++] = '<table><tr><td align="right">';out[outI++] = '<input id="' + this.objectName + '_input" type="text" value="' + this._value + '"';if (this.autoAdd) {out[outI++] = ' onBlur="' + this.objectName + '.autoAdd();"';}
if (this.classInput) {out[outI++] = ' class="' + this.classInput + '"';}
out[outI++] = '>';out[outI++] = '<select id="' + this.objectName + '_select" style="display:none; margin-top:1;" onChange="' + this.objectName + '.toInput();" onBlur="' + this.objectName + '.toInput();" onDoubleClick="' + this.objectName + '.toInput();"  onXXXMouseOut="' + this.objectName + '.toInput();"';if (this.classSelect) {out[outI++] = ' class="' + this.classSelect + '"';}
out[outI++] = '>';for (var i=0; i<this._options.length; i++) {out[outI++] = '<option value="' + this._options[i] + '">' + this._options[i] + '</option>';}
out[outI++] = '</select>';out[outI++] = '</td><td>';out[outI++] = '<img id="' + this.objectName + '_arrow" src="' + this.imgDir + 'arrow.gif" onMouseOver="' + this.objectName + '.toSelect(); setTimeout(\'' + this.objectName + '.activeTimer();\', 1000);">';out[outI++] = '</td></tr></table>';out[outI++] = '';this.isOutRendered = true;return out.join('');}
this.drawInto = function(elementId) {if (elementId) {this._elementId = elementId;}
var out = this.render(this._elementId);var spanTag = document.getElementById(this._elementId);spanTag.innerHTML = out;}
this.mouseOutTimer = function() {}
this.attachEvent = function(trigger, yourEvent) {if (typeof(this._attachedEvents) == 'undefined') {this._attachedEvents = new Array();}
if (typeof(this._attachedEvents[trigger]) == 'undefined') {this._attachedEvents[trigger] = new Array(yourEvent);} else {this._attachedEvents[trigger][this._attachedEvents[trigger].length] = yourEvent;}
}
this.hasEventAttached = function(trigger) {return (this._attachedEvents && this._attachedEvents[trigger]);}
this.fireEvent = function(trigger) {if (this._attachedEvents && this._attachedEvents[trigger]) {var e = this._attachedEvents[trigger];if ((typeof(e) == 'string') || (typeof(e) == 'function')) {e = new Array(e);}
for (var i=0; i<e.length; i++) {if (typeof(e[i]) == 'function') {e[i](this);} else if (typeof(e[i]) == 'string') {eval(e[i]);}
}
}
}
this._getTextObj = function() {if (typeof(this._fromTextObj) != 'object') {this._fromTextObj = document.getElementById(this.objectName + '_input');}
return this._fromTextObj;}
this._getSelectObj = function() {if (typeof(this._frmSelectObj) != 'object') {this._frmSelectObj = document.getElementById(this.objectName + '_select');var tmp = new Bs_FormFieldSelect();tmp.init(this._frmSelectObj);}
return this._frmSelectObj;}
this.constructor();}
