/********************************************************************************************
* BlueShoes Framework; This file is part of the php application framework.
* NOTE: This code is stripped (obfuscated). To get the clean documented code goto 
*       www.blueshoes.org and register for the free open source *DEVELOPER* version or 
*       buy the commercial version.
* 
* @copyright see www.blueshoes.org
* @author    Samuel Blume <sam at blueshoes dot org>
* @author    Andrej Arn <andrej at blueshoes dot org>
*/function Bs_Radio() {this.objectName;this.options = new Array();this.value;this.disabled = false;this.guiNochange = false;this.allowNoSelection = false;this.radioFieldName;this.imgDir = '/_bsJavascript/components/radio/img/bobby/';this.imgWidth  = '12';this.imgHeight = '12';this.captionAsAltText = false;this.cssClass;this.cssStyle;this.useMouseover = false;this.constructor = function() {}
this.addOption = function(value, caption, hide, activateable, deactivateable, furtherOptions) {if (bs_isNull(hide))           hide             = false;if (bs_isNull(activateable))   activateable     = 'yes';if (bs_isNull(deactivateable)) deactivateable   = 'yes';value += '';this.options[value] = new Array;this.options[value]['caption']        = caption;this.options[value]['hide']           = hide;this.options[value]['activateable']   = activateable;this.options[value]['deactivateable'] = deactivateable;if (typeof(furtherOptions) == 'object') {this.options[value]['furtherOptions'] = furtherOptions;}
}
this.draw = function(value) {document.write(this.render(value));}
this.drawInto = function(value, tagId) {var out = this.render(value);var tag = document.getElementById(tagId);if (tag) {spanTag.innerHTML = out;return true;}
return false;}
this.renderAsTable = function(direction, tableTag) {var ret = new Array();if (bs_isNull(tableTag)) {ret[ret.length] = '<table border="0">';} else {ret[ret.length] = tableTag;}
if (direction == 'horizontal') {ret[ret.length] = '<tr>';for (var value in this.options) {ret[ret.length] = '<td>' + this.render(value) + '</td>';}
ret[ret.length] = '</tr>';} else {for (var value in this.options) {alert(value);ret[ret.length] = '<tr><td>' + this.render(value) + '</td></tr>';}
}
ret[ret.length] = '</table>';return ret.join('');}
this.render = function(value) {if (this.options[value]['hide']) return '';var out  = new Array();var outI = 0;var valueId = 'bsRadio' + this.objectName + value;if (!bs_isNull(this.options[value]['furtherOptions']) && !bs_isNull(this.options[value]['furtherOptions']['captionAsAltText'])) {var captionAsAltText = this.options[value]['furtherOptions']['captionAsAltText'];} else {var captionAsAltText = this.captionAsAltText;}
var userSelectable = !(this.disabled || this.guiNochange || (this.options[value]['activateable'] != 'yes'));var isSelected = (this.value == value);var img = '';img += this._getIconPrefix(value);img += (userSelectable) ? 'enabled' : 'disabled';img += '_';img += (isSelected) ? '1' : '0';if (userSelectable) {out[outI++] = '<span';if (typeof(this.cssClass) != 'undefined') {out[outI++] = ' class="' + this.cssClass + '"';}
if (typeof(this.cssStyle) != 'undefined') {out[outI++] = ' style="' + this.cssStyle + '"';}
if (!this.guiNochange) {out[outI++] = ' onClick="' + this.objectName + '.onClick(\'' + value + '\');"';}
out[outI++] = ' style="cursor:hand;"';if (this.useMouseover) {out[outI++] = ' onMouseOver="' + this.objectName + '.onMouseOver(\'' + value + '\');"';out[outI++] = ' onMouseOut="' + this.objectName + '.onMouseOut(\'' + value + '\');"';}
out[outI++] = '>';}
out[outI++] = '<img id="' + valueId + 'Icon" src="' + this.imgDir + img + '.gif" border="0"';if (!bs_isNull(this.imgWidth))  out[outI++] = ' width="'  + this.imgWidth  + '"';if (!bs_isNull(this.imgHeight)) out[outI++] = ' height="' + this.imgHeight + '"';if (captionAsAltText) {out[outI++] = ' alt="' + this.options[value]['caption'] + '"';}
out[outI++] = '>';if (!captionAsAltText && (this.options[value]['caption'] != '')) {out[outI++] = '&nbsp;' + this.options[value]['caption'];}
if (userSelectable) {out[outI++] = '</span>';}
if (this.radioFieldName) {var radioFieldName = this.radioFieldName;} else {var radioFieldName = valueId + 'Field';}
out[outI++] = '<input type="radio" name="' + radioFieldName + '" value="' + value + '" id="' + radioFieldName + '" style="display:none; visibility:hidden;"';if (isSelected) out[outI++] = ' checked';out[outI++] = '>';return out.join('');}
this.onClick = function(value) {if (this.value == value) return;if (typeof(this.value) != 'undefined') {var oldSelectedImg = document.getElementById('bsRadio' + this.objectName + this.value + 'Icon');if (oldSelectedImg) {oldSelectedImg.src = this.imgDir + this._getIconPrefix(this.value) + 'enabled_0.gif';}
}
var newSelectedImg = document.getElementById('bsRadio' + this.objectName + value + 'Icon');if (newSelectedImg) {newSelectedImg.src = this.imgDir + this._getIconPrefix(value) + 'enabled_1.gif';}
this.value = value;if (this.eventOnClick)  this._fireEvent(this.eventOnClick);if (this.eventOnChange) this._fireEvent(this.eventOnChange);}
this._getIconPrefix = function(value) {if (!bs_isNull(this.options[value]['furtherOptions']) && !bs_isNull(this.options[value]['furtherOptions']['iconPrefix'])) {return this.options[value]['furtherOptions']['iconPrefix'];}
return '';}
this.constructor();}
