/********************************************************************************************
* BlueShoes Framework; This file is part of the php application framework.
* NOTE: This code is stripped (obfuscated). To get the clean documented code goto 
*       www.blueshoes.org and register for the free open source *DEVELOPER* version or 
*       buy the commercial version.
* 
* @copyright see www.blueshoes.org
* @author    Samuel Blume <sam at blueshoes dot org>
* @author    Andrej Arn <andrej at blueshoes dot org>
*/function bs_ss_pageLoaded() {mySpreadSheet = new Bs_SpreadSheet;try {if (opener) parent = opener;parent.bs_ss_init();} catch (e) {}
}
function Bs_SpreadSheet() {this.objectName;this.debug = false;this.showLineNumbers = true;this.firstRowTitle = false;this.firstColTitle = false;this.useToolbar = true;this.mayUseFormat = true;this.mayUseAlign = true;this.mayUseWysiwyg = true;this._drawStyle = 'hidden';this._data;this._callbackFunction;this.returnType = 'array';this._currentCell;this._currentState;this._currentCellLastValue;this.defaultCellWidth = 80;this._cellWidth;this.defaultCellHeight = 17;this._cellHeight;this.editorI;this.editorJ;this._drawTagId;this.setMousePointer = function(work) {var body = document.getElementById('body');if (body) {if (work) {body.style.cursor = 'hand';} else {body.style.cursor = 'hand';}
}
}
this._getNewCell = function() {var ret = new Array();ret['value']     = '';ret['bold']      = false;ret['italic']    = false;ret['underline'] = false;ret['align']     = '';return ret;}
this.addCol = function(pos) {try {if (typeof(pos) == 'boolean') {if (pos == false) {pos = this.getCol(this._currentCell.id) +1;} else {pos = this.getCol(this._currentCell.id);}
}
if (this.debug) alert("insert col at position " + pos);this.updateDataFromFields();for (var i=0; i<this._data.length; i++) {var numCols = this._data[i].length;var t = null;t = new Array();var doneAdd = false;for (var j=0; j<numCols; j++) {if (pos == j) {t.push(this._getNewCell());doneAdd = true;}
t.push(this._data[i][j]);}
if (!doneAdd) {t.push(this._getNewCell());}
this._data[i] = t;}
this.draw();} catch (e) {}
}
this.addRow = function(pos) {try {if (typeof(pos) == 'boolean') {if (pos == false) {pos = this.getRow(this._currentCell.id) +1;} else {pos = this.getRow(this._currentCell.id);}
}
if (this.debug) alert("insert row at position " + pos);this.updateDataFromFields();var doneAdd = false;var t = new Array();for (var i=0; i<this._data.length; i++) {if (pos == i) {var tt = new Array();for (var j=0; j<this._data[i].length; j++) {tt[j] = this._getNewCell();}
t.push(tt);doneAdd = true;}
t.push(this._data[i]);}
if (!doneAdd) {t.push(this._getNewCell());}
this._data = t;this.draw();} catch (e) {}
}
this.removeCol = function(pos) {if (isNaN(pos)) {pos = this.getCol(this._currentCell.id);}
if (this.debug) alert("remove col at position " + pos);this.updateDataFromFields();for (var i=0; i<this._data.length; i++) {var t = new Array();for (var j=0; j<this._data[i].length; j++) {if (pos == j) continue;t.push(this._data[i][j]);}
this._data[i] = t;}
this.draw();}
this.removeRow = function(pos) {if (isNaN(pos)) {pos = this.getRow(this._currentCell.id);}
if (this.debug) alert("remove row at position " + pos);this.updateDataFromFields();var t = new Array();for (var i=0; i<this._data.length; i++) {if (pos == i) continue;t.push(this._data[i]);}
this._data = t;this.draw();}
this.init = function(data, drawTagId, callbackFunction) {this._importData(data);this._drawTagId = drawTagId;this._callbackFunction = callbackFunction;this.draw();}
this._importData = function(data) {var maxCols = bs_array_maxSizeOfLevel(data, 2);for (var i=0; i<data.length; i++) {for (var j=0; j<maxCols; j++) {if (typeof(data[i][j]) != 'object') {try {var tmpVal = data[i][j];} catch (e) {var tmpVal = '';}
data[i][j] = new Array();data[i][j]['value']     = tmpVal;data[i][j]["bold"]      = false;data[i][j]['italic']    = false;data[i][j]['underline'] = false;data[i][j]['align']     = '';}
}
}
this._data = data;}
this._exportData = function() {}
this.draw = function() {var layout = '<div id="' + this.objectName + '_toolbarDiv" style="width:100%;"></div><div id="' + this.objectName + '_spreadSheetDiv" style="width:100%; overflow:auto;"></div>';document.getElementById(this._drawTagId).innerHTML = layout;if (this.useToolbar) this._loadToolbar();if ((this._currentCell) && (this._currentState == 'active')) {var reactivateCurrentCell = this._currentCell.id;}
this.calculateCellWidth();this.calculateCellHeight();var numCols = this.getNumCols();if (this.debug) alert("building table with " + numCols + " cols and " + this._data.length + " rows.");var titleRow = new Array;titleRow[titleRow.length] = '<tr>';titleRow[titleRow.length] = '<td width="25" bgcolor="#DEDBD6" style="border-bottom-color: Black; border-bottom-style: solid; border-bottom-width: 1px; border-right-color: Black; border-right-style: solid; border-right-width: 1px;">&nbsp;</td>';for (var i=0; i<numCols; i++) {var tdId = 'col_autonumber_' + (i+1);titleRow[titleRow.length] = '<td id="' + tdId + '" width="' + this._cellWidth[i] + '" bgcolor="#DEDBD6" align="middle" style="border-bottom-color: Black; border-bottom-style: solid; border-bottom-width: 1px; border-right-color: Black; border-right-style: solid; border-right-width: 1px;">';titleRow[titleRow.length] = '<table width="100%" cellpadding="0" cellspacing="0"><tr><td align="middle" id="' + tdId + '_hack">';titleRow[titleRow.length] = String.fromCharCode(65 +i);titleRow[titleRow.length] = '</td><td align="right" width="3">';titleRow[titleRow.length] = '<span style="cursor:col-resize;" ondragstart="resizeColStart(\'' + tdId + '\')" ondrag="resizeCol(\'' + tdId + '\')" ondragend="resizeColEnd(\'' + tdId + '\')"><img src="/_admin/img/spacer.gif" width="3" height="10"></span>';titleRow[titleRow.length] = '</td></tr></table>';titleRow[titleRow.length] = '</td>';}
titleRow[titleRow.length] = '</tr>';var out = new Array;var addRowLine = '';for (var i=0; i<this._data.length; i++) {var lineNumber = i+1;var outLine = new Array;outLine[outLine.length] = '<tr>\n';var outWhile = new Array;var tdId = 'row_autonumber_' + lineNumber;outWhile[outWhile.length] = '<td id="' + tdId + '" width="25" height="' + this._cellHeight[i] + '"valign="bottom" align="right" bgcolor="#DEDBD6" style="border-bottom-color: Black; border-bottom-style: solid; border-bottom-width: 1px;">';outWhile[outWhile.length] = '<table width="100%" height="100%" cellpadding="0" cellspacing="0"><tr><td valign="bottom" align="right" id="' + tdId + '_hack">';outWhile[outWhile.length] = lineNumber + '&nbsp;';outWhile[outWhile.length] = '</td></tr><tr height="3"><td align="middle" valign="bottom" height="3">';outWhile[outWhile.length] = '<span style="cursor:row-resize;" ondragstart="resizeRowStart(\'' + tdId + '\')" ondrag="resizeRow(\'' + tdId + '\')" ondragend="resizeRowEnd(\'' + tdId + '\')"><img src="/_admin/img/spacer.gif" width="10" height="3"></span>';outWhile[outWhile.length] = '</td></tr></table>';outWhile[outWhile.length] = '</td>';for (var j=0; j<numCols; j++) {var colNumber = j+1;try {var cellValue = (this._data[i][j]['value']) ? this._data[i][j]['value'] : '';} catch (e) {var cellValue = '';continue;}
outWhile[outWhile.length] = '<td id="td_data[' + i + '][' + j + ']" width=' + this._cellWidth[j] + ' height=' + this._cellHeight[i] + ' style="width:' + this._cellWidth[j] + '; height:' + this._cellHeight[i] + ';">';var formatStyle = this._getStyleStringForCell(i, j);outWhile[outWhile.length] = '<div name="data[' + i + '][' + j + ']" id="data[' + i + '][' + j + ']" ';outWhile[outWhile.length] = 'onKeyDown="return ' + this.objectName + '.typing();" ';outWhile[outWhile.length] = 'onClick="' + this.objectName + '.cellSelect(this);" ';outWhile[outWhile.length] = 'ondblclick="' + this.objectName + '.editCellStart(this);" ';outWhile[outWhile.length] = 'style="' + formatStyle + ' position:relative; left:0; top:0; width:100%; height:100%; background-color:white; overflow:hidden; z-index:60;">';outWhile[outWhile.length] = cellValue;outWhile[outWhile.length] = '</div>';outWhile[outWhile.length] = '</td>';}
outLine[outLine.length] = outWhile.join('');outLine[outLine.length] = "</tr>\n";out[out.length] = outLine.join('');addRowLine = '';kSave = i;}
var tableString = '<div style="z-index:50; width:450px; height:230; overflow: visible;"><table id="dataTable" border="1" cellspacing="0" cellpadding="0" bordercolor="#DEDBD6" bgcolor="#FFFFFF">\n';tableString += titleRow.join('');tableString += out.join('');tableString += '</table></div>\n';document.getElementById(this.objectName + '_spreadSheetDiv').innerHTML = tableString;attachMenuRow();attachMenuCol();if (reactivateCurrentCell) {var cell = document.getElementById(reactivateCurrentCell);if (cell) {this.cellSelect(cell);}
}
}
this._loadToolbar = function() {core.loadUnit("toolbar");core.loadUnit("speedbutton");var btnPath    = core.imagePath + "buttons/";var btnBgColor = "#7F92B6";var btnHLColor = "#8A9ABE";var menuBar = Toolbar(document.getElementById(this.objectName + '_toolbarDiv'), null, null, null, 420);btnAddRowAbove = SpeedButton(menuBar,null,btnPath+"bsTblInsertRowAbove.gif","Insert row above", 0);btnAddRowAbove.doRollover = false;btnAddRowAbove.onclick=function(){mySpreadSheet.addRow(true)};btnAddRowBelow = SpeedButton(menuBar,null,btnPath+"bsTblInsertRowBelow.gif","Insert row below", 0);btnAddRowBelow.doRollover = false;btnAddRowBelow.onclick=function(){mySpreadSheet.addRow(false)};btnRemoveRow = SpeedButton(menuBar,null,btnPath+"bsTblRemoveRow.gif","Remove row", 0);btnRemoveRow.doRollover = false;btnRemoveRow.onclick=function(){mySpreadSheet.removeRow()};btnAddColLeft = SpeedButton(menuBar,null,btnPath+"bsTblInsertColLeft.gif","Insert col left", 0);btnAddColLeft.doRollover = false;btnAddColLeft.onclick=function(){mySpreadSheet.addCol(true)};btnAddColRight = SpeedButton(menuBar,null,btnPath+"bsTblInsertColRight.gif","Insert col right", 0);btnAddColRight.doRollover = false;btnAddColRight.onclick=function(){mySpreadSheet.addCol(false)};btnRemoveCol = SpeedButton(menuBar,null,btnPath+"bsTblRemoveCol.gif","Remove col", 0);btnRemoveCol.doRollover = false;btnRemoveCol.onclick=function(){mySpreadSheet.removeCol()};btnSortAsc = SpeedButton(menuBar,null,btnPath+"bsSortAsc.gif","Sort Ascending", 0);btnSortAsc.doRollover = false;btnSortAsc.onclick=function(){mySpreadSheet.sortAsc()};btnSortDesc = SpeedButton(menuBar,null,btnPath+"bsSortDesc.gif","Sort Descending", 0);btnSortDesc.doRollover = false;btnSortDesc.onclick=function(){mySpreadSheet.sortDesc()};if (this.mayUseFormat) {btnBold = SpeedButton(menuBar,null,btnPath+"bsBold_de.gif","Bold", 1);btnBold.doRollover = false;btnBold.allowAllUp = true;btnBold.onclick=function(){mySpreadSheet.formatBold(btnBold.down)};btnItalic = SpeedButton(menuBar,null,btnPath+"bsItalic_de.gif","Italic", 2);btnItalic.doRollover = false;btnItalic.allowAllUp = true;btnItalic.onclick=function(){mySpreadSheet.formatItalic(btnItalic.down)};btnUnderline = SpeedButton(menuBar,null,btnPath+"bsUnderline_de.gif","Underline", 3);btnUnderline.doRollover = false;btnUnderline.allowAllUp = true;btnUnderline.onclick=function(){mySpreadSheet.formatUnderline(btnUnderline.down)};}
if (this.mayUseAlign) {btnAlignLeft = SpeedButton(menuBar,null,btnPath+"bsAlignLeft.gif","Align left", 4);btnAlignLeft.doRollover = false;btnAlignLeft.allowAllUp = true;btnAlignLeft.onclick=formatAlign;btnAlignCenter = SpeedButton(menuBar,null,btnPath+"bsAlignCenter.gif","Align center", 4);btnAlignCenter.doRollover = false;btnAlignCenter.allowAllUp = true;btnAlignCenter.onclick=formatAlign;btnAlignRight = SpeedButton(menuBar,null,btnPath+"bsAlignRight.gif","Align right", 4);btnAlignRight.doRollover = false;btnAlignRight.allowAllUp = true;btnAlignRight.onclick=formatAlign;}
if (this.mayUseWysiwyg) {btnWysiwyg = SpeedButton(menuBar,null,btnPath+"bsDesign.gif","Wysiwyg Editor", 5);btnWysiwyg.doRollover = false;btnWysiwyg.onclick=function(){startWysiwyg()};}
menuBar.spaceControls();}
this._getStyleStringForCell = function(row, col) {var formatStyle = '';if (this._data[row][col]['bold']) {formatStyle += ' font-weight:bold;'
}
if (this._data[row][col]['italic']) {formatStyle += ' font-style:italic;'
}
if (this._data[row][col]['underline']) {formatStyle += ' text-decoration:underline;'
}
if ((this._data[row][col]['align']) && (this._data[row][col]['align'] != '')) {formatStyle += ' text-align:' + this._data[row][col]['align'] + ';';}
return formatStyle;}
this.updateDataFromFields = function() {}
this.setDrawStyle = function(drawStyle) {this._drawStyle = drawStyle;this.updateDataFromFields();this.draw();}
this.save = function() {if (this.returnType == 'csv') {var ret = bs_array_toCsv(this._data, ';');} else {var ret = this._data;}
var evalStr = 'parent.' + this._callbackFunction + '(ret);';eval(evalStr);}
this.cellSelect = function(cell) {if (cell != this._currentCell) {this._cellDeactivate(this._currentCell);}
this._currentCell  = cell;this._currentState = 'active';this._cellActivate(cell);}
this._cellActivate = function(cell) {var td = document.getElementById('td_' + cell.id);if (td) td.style.border = "2px solid Black";this._updateStyleButtons();var colTitle = document.getElementById('col_autonumber_' + (this.getCol(cell.id) +1));if (colTitle) colTitle.bgColor = '#B5BED6';var rowTitle = document.getElementById('row_autonumber_' + (this.getRow(cell.id) +1));if (rowTitle) rowTitle.bgColor = '#B5BED6';}
this._cellDeactivate = function(cell) {if (cell) {if (this._currentState == 'edit') {this.editCellEnd(cell);}
var td = document.getElementById('td_' + cell.id);if (td) td.style.border = "1px solid #DEDBD6";var colTitle = document.getElementById('col_autonumber_' + (this.getCol(cell.id) +1));if (colTitle) colTitle.bgColor = '#DEDBD6';var rowTitle = document.getElementById('row_autonumber_' + (this.getRow(cell.id) +1));if (rowTitle) rowTitle.bgColor = '#DEDBD6';}
}
this.editCellStart = function(cell) {if (cell != this._currentCell) {this.cellDeactivate(this._currentCell);}
this._currentCell  = cell;this._currentState = 'edit';this._currentCellLastValue = cell.innerHTML;cell.style.left = cell.offsetLeft;cell.style.top  = cell.offsetTop;cell.style.position = "absolute";cell.style.overflow = "visible";cell.style.width = 500;cell.style.zIndex = 700;cell.contentEditable = true;cell.focus();}
this.editCellEnd = function(cell) {var row = this.getRow(cell.id);var col = this.getCol(cell.id);this._data[row][col]['value'] = cell.innerHTML;cell.style.position = "relative";cell.style.overflow = "hidden";cell.style.left = 0;cell.style.top = 0;cell.style.width = this._cellWidth[this.getCol(cell.id)];cell.style.zIndex = 50;cell.contentEditable = false;this._currentState = 'active';}
this.typing = function() {if (this._currentState == 'edit') {var goOn = false;switch (window.event.keyCode) {case 13:
if (event.shiftKey) {return true;}
this.editCellEnd(this._currentCell);return false;case 27:
this._currentCell.innerHTML = this._currentCellLastValue;this.editCellEnd(this._currentCell);this.cellSelect(this._currentCell);return false;case 40:
case 9:
case 39:
case 38:
case 37:
this.editCellEnd(this._currentCell);goOn = true;}
if (!goOn) {return true;}
}
if (event.ctrlKey) {if (window.event.keyCode == 66) {this.formatBold(true);this._updateStyleButtons();return false;} else if (window.event.keyCode == 73) {this.formatItalic(true);this._updateStyleButtons();return false;} else if (window.event.keyCode == 85) {this.formatUnderline(true);this._updateStyleButtons();return false;}
return true;}
switch (window.event.keyCode) {case 13:
case 40:
var row = this.getRow(this._currentCell.id);var col = this.getCol(this._currentCell.id);var t = document.getElementById('data[' + (row +1) + '][' + col + ']');if (t) {this.cellSelect(t);} else {t = document.getElementById('data[0][' + col + ']');this.cellSelect(t);}
return false;case 9:
case 39:
var row = this.getRow(this._currentCell.id);var col = this.getCol(this._currentCell.id);var t = document.getElementById('data[' + row + '][' + (col +1) + ']');if (t) {this.cellSelect(t);} else {if (window.event.keyCode == 9) {t = document.getElementById('data[' + (row +1) + '][0]');} else {t = document.getElementById('data[' + (row) + '][0]');}
if (t) {this.cellSelect(t);} else {t = document.getElementById('data[0][0]');this.cellSelect(t);}
}
return false;case 38:
case 13:
var row = this.getRow(this._currentCell.id);var col = this.getCol(this._currentCell.id);var t = document.getElementById('data[' + (row -1) + '][' + col + ']');if (t) {this.cellSelect(t);} else {t = document.getElementById('data[' + (this.getNumRows() -1) + '][' + col + ']');this.cellSelect(t);}
return false;case 37:
var row = this.getRow(this._currentCell.id);var col = this.getCol(this._currentCell.id);var t = document.getElementById('data[' + row + '][' + (col -1) + ']');if (t) {this.cellSelect(t);} else {t = document.getElementById('data[' + (row) + '][' + (this.getNumCols() -1) + ']');if (t) {this.cellSelect(t);} else {t = document.getElementById('data[' + (this.getNumRows() -1) + '][' + (this.getNumCols() -1) + ']');this.cellSelect(t);}
}
return false;case 113:
this.editCellStart(this._currentCell);return true;default:
if ((window.event.keyCode >= 32) && (window.event.keyCode <= 126)) {this.editCellStart(this._currentCell);this.removeContent(this._currentCell);return true;}
}
return false;}
this.removeContent = function(cell) {cell.innerHTML = '';}
this.getRow = function(cellName) {var posTwo = cellName.indexOf(']');return parseInt(cellName.substring(5, posTwo));}
this.getCol = function(cellName) {var posTwo = cellName.lastIndexOf('[');return parseInt(cellName.substr(posTwo +1, cellName.length));}
this.getCellCaption = function(cellId) {return String.fromCharCode(65 + this.getCol(cellId)) + (this.getRow(cellId) +1);}
this.getNumRows = function() {try {return this._data.length;} catch (e) {return 0;}
}
this.getNumCols = function() {return bs_array_maxSizeOfLevel(this._data, 2);}
this.calculateCellWidth = function() {var numCols = this.getNumCols();this._cellWidth = new Array();for (var i=0; i<numCols; i++) {var t = document.getElementById('col_autonumber_' + (i+1));if (t) {this._cellWidth[i] = t.width;} else {this._cellWidth[i] = this.defaultCellWidth;}
}
}
this.calculateCellHeight = function() {var numRows = this.getNumRows();this._cellHeight = new Array();for (var i=0; i<numRows; i++) {var t = document.getElementById('row_autonumber_' + (i+1));if (t) {this._cellHeight[i] = t.height;} else {this._cellHeight[i] = this.defaultCellHeight;}
}
}
this.calculateCellSizes = function() {var numCols = this.getNumCols();var numRows = this.getNumRows();this._cellWidth  = new Array();this._cellHeight = new Array();var width  = this.defaultCellWidth;var height = this.defaultCellHeight;for (var i=0; i<numCols; i++) {for (var j=0; j<numRows; j++) {var cell = document.getElementById('data[' + i + '][' + j + ']');if (cell) {width  = cell.clientWidth;height = cell.clientHeight;}
if ((!this._cellWidth[i]) || (width > this._cellWidth[i])) {this._cellWidth[i] = width;}
if ((!this._cellHeight[j]) || (height > this._cellHeight[j])) {this._cellHeight[j] = height;}
}
}
}
this.emptyValue = function(row, col) {this.setValue('', row, col);}
this.setValue = function(val, row, col) {var cell = document.getElementById('data[' + row + '][' + col + ']');if (cell) cell.innerHTML = val;this.updateDataFromFields();this.draw();}
this.formatBold = function(val) {try {if (!this._currentCell) throw 'noCellSelected';var row = this.getRow(this._currentCell.id);var col = this.getCol(this._currentCell.id);if (this._setStyle(row, col, 'bold', val)) {var cell = document.getElementById('data[' + row + '][' + col + ']');val = (val) ? 'bold' : 'normal';if (cell) cell.style.fontWeight = val;}
} catch (e) {alert(e);}
}
this.formatItalic = function(val) {try {if (!this._currentCell) throw 'noCellSelected';var row = this.getRow(this._currentCell.id);var col = this.getCol(this._currentCell.id);if (this._setStyle(row, col, 'italic', val)) {var cell = document.getElementById('data[' + row + '][' + col + ']');val = (val) ? 'italic' : 'normal';if (cell) cell.style.fontStyle = val;}
} catch (e) {alert(e);}
}
this.formatUnderline = function(val) {try {if (!this._currentCell) throw 'noCellSelected';var row = this.getRow(this._currentCell.id);var col = this.getCol(this._currentCell.id);if (this._setStyle(row, col, 'underline', val)) {var cell = document.getElementById('data[' + row + '][' + col + ']');val = (val) ? 'underline' : 'none';if (cell) cell.style.textDecoration = val;}
} catch (e) {alert(e);}
}
this.formatAlign = function(left, center, right) {var val = '';if (left) {val = 'left';} else if (center) {val = 'center';} else if (right) {val = 'right';}
try {if (!this._currentCell) throw 'noCellSelected';var row = this.getRow(this._currentCell.id);var col = this.getCol(this._currentCell.id);if (this._setStyle(row, col, 'align', val)) {if (val != '') {var cell = document.getElementById('data[' + row + '][' + col + ']');if (cell) cell.style.textAlign = val;}
}
} catch (e) {alert(e);}
}
this._setStyle = function(row, col, style, val) {this._data[row][col][style] = val;return true;}
this._updateStyleButtons = function() {var row = this.getRow(this._currentCell.id);var col = this.getCol(this._currentCell.id);var valBold      = false;var valItalic    = false;var valUnderline = false;var valAlign     = '';try {if (this._data[row][col]) {valBold      = (this._data[row][col]['bold']);valItalic    = (this._data[row][col]['italic']);valUnderline = (this._data[row][col]['underline']);valAlign     = (this._data[row][col]['align']);}
} catch (e) {}
if (valBold) {btnBold.buttonDown();} else {btnBold.buttonUp();}
btnBold.down = valBold;if (valItalic) {btnItalic.buttonDown();} else {btnItalic.buttonUp();}
btnItalic.down = valItalic;if (valUnderline) {btnUnderline.buttonDown();} else {btnUnderline.buttonUp();}
btnUnderline.down = valUnderline;if (valAlign == 'left') {btnAlignLeft.buttonDown();btnAlignLeft.down = true;} else {btnAlignLeft.buttonUp();btnAlignLeft.down = false;}
if (valAlign == 'center') {btnAlignCenter.buttonDown();btnAlignCenter.down = true;} else {btnAlignCenter.buttonUp();btnAlignCenter.down = false;}
if (valAlign == 'right') {btnAlignRight.buttonDown();btnAlignRight.down = true;} else {btnAlignRight.buttonUp();btnAlignRight.down = false;}
}
this.sortAsc = function() {if (this._currentCell) {var colNumber = this.getCol(this._currentCell.id);this._sortData(colNumber, true);this.draw();}
}
this.sortDesc = function() {if (this._currentCell) {var colNumber = this.getCol(this._currentCell.id);this._sortData(colNumber, false);this.draw();}
}
this._sortData = function(colNumber, asc) {this.updateDataFromFields();var tmpArray = new Array();var dataLength = this.getNumRows();var subLength  = this.getNumCols();for (var i=0; i<dataLength; i++) {tmpArray[i] = this._data[i][colNumber]['value'] + '[?!*]' + i;}
tmpArray.sort();var tmpArrayRank = new Array();for (var i=0; i<dataLength; i++) {pos = tmpArray[i].lastIndexOf('[?!*]') + 5;tmpArrayRank[i] = tmpArray[i].substr(pos);}
if (!asc) tmpArrayRank.reverse();var tmpData = this._data;this._data = new Array();for (var i=0; i<dataLength; i++) {this._data[i] = Array();for (var j=0; j<subLength; j++) {this._data[i][j] = tmpData[tmpArrayRank[i]][j];}
}
}
this.toHtml = function(withStyle) {if (this.debug) alert("exporting table to html");this.updateDataFromFields();var numCols = this.getNumCols();var out = "<table>\n";for (var i=0; i<this._data.length; i++) {out += "  <tr>\n";for (var j=0; j<numCols; j++) {var cellValue = this._data[i][j]['data'];var formatStyle = this._getStyleStringForCell(i, j);out += '    <td style="' + formatStyle + '">' + cellValue + '</td>\n';}
out += "  </tr>\n";}    
return out;}
}
function editorStart(i, j) {divEditor.style.display = 'block';formField = document.getElementById('data[' + i + '][' + j + ']');txtEditor = document.getElementById('txtEditor');txtEditor.value = formField.value;editorI = i;editorJ = j;}
function editorSave() {formField = document.getElementById('data[' + editorI + '][' + editorJ + ']');txtEditor = document.getElementById('txtEditor');formField.value = txtEditor.value;txtEditor.value = '';divEditor.style.display = 'none';}
function editorCancel() {txtEditor.value = '';divEditor.style.display = 'none';}
